> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google Analytics Properties



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/integrations/google-analytics/properties
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/integrations/google-analytics/properties:
    get:
      tags:
        - Brand Integrations
      summary: List Google Analytics Properties
      operationId: >-
        list_google_analytics_properties_api_v1_brands__brand_id__integrations_google_analytics_properties_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__api__routes__brand_integrations__Ga4PropertiesResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__api__routes__brand_integrations__Ga4PropertiesResponse:
      properties:
        properties:
          items:
            $ref: '#/components/schemas/Ga4PropertyOption'
          type: array
          title: Properties
      type: object
      required:
        - properties
      title: Ga4PropertiesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Ga4PropertyOption:
      properties:
        property_id:
          type: string
          title: Property Id
        display_name:
          type: string
          title: Display Name
        account_name:
          type: string
          title: Account Name
      type: object
      required:
        - property_id
        - display_name
        - account_name
      title: Ga4PropertyOption
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````